Subject: Re: linux-next: build failure after merge of the hid tree

From: Hans de Goede <[email-masked]>
Date: Thu, 27 May 2021 10:25:57 +0200

Hi,

On 5/27/21 10:14 AM, Jiri Kosina wrote:
> On Thu, 27 May 2021, Stephen Rothwell wrote:
> 
>> After merging the hid tree, today's linux-next build (x86_64
>> modules_install (on an allmodconfig build)) failed like this:
>>
>> depmod: ERROR: Cycle detected: hid -> usbhid -> hid
>> depmod: ERROR: Found 2 modules in dependency cycles!
>>
>> I could not easily figure out what caused this (it may not be the hid
>> tree, but probably is), so all I could do was leave it broken.
> 
> This is caused by Hans' patches (CCed). I will be dropping those today, as 
> the proper fix needs a bit more of rework.

Ack, sorry about the trouble these patches are causing.

Regards,

Hans